[arch-commits] Commit in gift-gnutella/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 7 02:21:54 EDT 2009


    Date: Tuesday, April 7, 2009 @ 02:21:54
  Author: eric
Revision: 34162

upgpkg: gift-gnutella 0.0.11-2
    Added license

Modified:
  gift-gnutella/trunk/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-07 06:20:57 UTC (rev 34161)
+++ PKGBUILD	2009-04-07 06:21:54 UTC (rev 34162)
@@ -4,21 +4,21 @@
 
 pkgname=gift-gnutella
 pkgver=0.0.11
-pkgrel=1
+pkgrel=2
 pkgdesc="GiFT's Gnutella plugin."
 arch=(i686 x86_64)
+url="http://gift.sourceforge.net"
+license=('GPL')
 depends=('gift' 'zlib')
 source=(http://downloads.sourceforge.net/sourceforge/gift/$pkgname-$pkgver.tar.bz2)
-url="http://gift.sourceforge.net"
 md5sums=('279c7dc0121b3b7e209b09c98d10f17f')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   touch NEWS AUTHORS
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr|| return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  mkdir -p $startdir/pkg/usr/share/giFT/Gnutella
-  cp $startdir/src/$pkgname-$pkgver/data/Gnutella.conf $startdir/pkg/usr/share/giFT/Gnutella
-  cp $startdir/src/$pkgname-$pkgver/data/hostiles.txt $startdir/pkg/usr/share/giFT/Gnutella
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 data/Gnutella.conf $pkgdir/usr/share/giFT/Gnutella/Gnutella.conf
+  install -D -m644 data/hostiles.txt $pkgdir/usr/share/giFT/Gnutella/hostiles.txt
 }



More information about the arch-commits mailing list